#!/bin/bash
######################################################################
#
#   tcar - The CentOS Artwork Repository
#   Copyright © 2014 The CentOS Artwork SIG
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   Alain Reguera Delgado <alain.reguera@gmail.com>
#   39 Street No. 4426 Cienfuegos, Cuba.
#
######################################################################

function pack_setBuildSource {

    local BUILD_SPEC_NAME=$(grep -i 'name:' ${BUILD_SPEC_FILE} \
        |  gawk -F: '{ print $2 }' | tr -d '[[:space:]]')
    local BUILD_SPEC_VERSION=$(grep -i 'version:' ${BUILD_SPEC_FILE} \
        |  gawk -F: '{ print $2 }' | tr -d '[[:space:]]')

    local SOURCE_FILE=${RPMBUILD_SOURCES}/${BUILD_SPEC_NAME}-${BUILD_SPEC_VERSION}.tar.gz
    [[ -f ${SOURCE_FILE} ]] && rm ${SOURCE_FILE}

    local SOURCE_DIR=${RPMBUILD_BUILD}/${BUILD_SPEC_NAME}-${BUILD_SPEC_VERSION}
    [[ -d ${SOURCE_DIR} ]] && rm -r ${SOURCE_DIR}

    pushd ${GIT_REPO_TOPDIR} &> /dev/null
    git archive --format=tar --prefix="${BUILD_SPEC_NAME}-${BUILD_SPEC_VERSION}/" ${PACK_FLAG_REVISION} \
        | gzip > ${SOURCE_FILE}
    popd &> /dev/null

}
