#!/bin/bash
######################################################################
#
#   tcar - The CentOS Artwork Repository
#   Copyright © 2014 The CentOS Artwork SIG
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   Alain Reguera Delgado <alain.reguera@gmail.com>
#   39 Street No. 4426 Cienfuegos, Cuba.
#
######################################################################

function prepare_delWorkplaceDirectory {

    if [[ ${PWD} =~ ^${TCAR_WORKDIR} ]];then
        tcar_printMessage "`gettext "You need to get out of the current directory so it can be recreated."`" --as-error-line
    fi

    tcar_printMessage "`gettext "The workplace you've specified will be removed and created from scratch. WARNING! This action will remove all the information you have produced inside it."`" --as-banner-line

    tcar_printMessage "`gettext "Do you want to continue?"`" --as-yesornorequest-line

    tcar_printMessage "${TCAR_WORKDIR}" --as-deleting-line

    rm -r ${TCAR_WORKDIR}

}
