#!/bin/bash
######################################################################
#
#   tcar - The CentOS Artwork Repository
#   Copyright © 2014 The CentOS Artwork SIG
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   Alain Reguera Delgado <alain.reguera@gmail.com>
#   39 Street No. 4426 Cienfuegos, Cuba.
#
######################################################################

# Print configuration files (and their templates) to standard output.
function prepare_getWorkplaceConfiguration {

    # Define the directory names inside the installed repository,
    # where we will look for template configuration files. These are
    # the files the tcar-render(1) command uses to produce content
    # inside the workplace based on the information distributed inside
    # the installed repository.
    local DIR='' DIRS="${1:-Models}"

    for DIR in ${DIRS};do
        tcarlib_getFilesList -p '.+\.conf\.tpl$' -t 'f' ${TCAR_BASEDIR}/${DIR}
    done

}
