#!/bin/bash
######################################################################
#
#   tcar - The CentOS Artwork Repository
#   Copyright © 2014 The CentOS Artwork SIG
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   Alain Reguera Delgado <alain.reguera@gmail.com>
#   39 Street No. 4426 Cienfuegos, Cuba.
#
######################################################################

function svg {

    local RENDER_FLOW=''    ; svg_setConfigOption 'render-flow'
    local EXPORT_ID=''      ; svg_setConfigOption 'export-id'
    local RENDER_BACK=''    ; svg_setConfigOption 'render-back'

    local -a TARGET_INSTANCES

    if [[ ${#RENDER_FROM[*]} -gt ${#LOCALE_FROM[*]} ]];then
        svg_setRenditionManyToOne
    elif [[ ${#RENDER_FROM[*]} -eq ${#LOCALE_FROM[*]} ]];then
        svg_setRenditionOneToOne
    else
        tcar_printMessage "`gettext "Unsupported relationship between models and locales."`" --as-error-line
    fi

    svg_exportInstances

    unset TARGET_INSTANCES

}
