#!/bin/bash
######################################################################
#
#   tcar - The CentOS Artwork Repository
#   Copyright © 2014 The CentOS Artwork SIG
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   Alain Reguera Delgado <alain.reguera@gmail.com>
#   39 Street No. 4426 Cienfuegos, Cuba.
#
######################################################################

function make {

    local MAKEFILE=''
    local MAKEFILES=$(tcarlib_getFilesList -a 1 -i 1 -t 'f' \
        -p '.+/(GNUmakefile|(m|M)akefile)$' ${RENDER_TARGET_DIR})

    for MAKEFILE in ${MAKEFILES};do

        tcar_printMessage "${MAKEFILE}" --as-processing-line

        # Define make file instance.
        local MAKEFILE_INSTANCE=$(tcarlib_getTemporalFile ${MAKEFILE})

        # Create make file instance.
        cp ${MAKEFILE} ${MAKEFILE_INSTANCE}

        # Apply translation makers in make file instance.
        tcar_setTranslationMarkers "${MAKEFILE_INSTANCE}"

        # Get in the directory where all render action take place.
        pushd ${RENDER_TARGET_DIR} &> /dev/null

        # Execute make file.
        /usr/bin/make -s -f ${MAKEFILE_INSTANCE}

        # Remove make file instance.
        rm ${MAKEFILE_INSTANCE}

        # Get back to the current directory you were before.
        popd &> /dev/null

    done

}
