#!/bin/bash
######################################################################
#
#   tcar - The CentOS Artwork Repository
#   Copyright © 2014 The CentOS Artwork SIG
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   Alain Reguera Delgado <alain.reguera@gmail.com>
#   39 Street No. 4426 Cienfuegos, Cuba.
#
######################################################################

declare -xr SCRIPT_NAME="tcar"
declare -xr SCRIPT_VERSION="0.11"

#======================================================================
# Working Directory (output files)
#======================================================================

declare -x TCAR_WORKDIR=/tmp/${SCRIPT_NAME}-workplace

#======================================================================
# Installed Repository (input files)
#======================================================================

# Base directory where the repository is installed in.
declare -x TCAR_BASEDIR=/usr/share/${SCRIPT_NAME}

#======================================================================
# Script Paths
#======================================================================

# Base directory where automation scripts are installed in.
declare -x SCRIPT_BASEDIR=${TCAR_BASEDIR}/Scripts

#======================================================================
# Libraries (Tcarlib)
#======================================================================

declare -x SCRIPT_LIBRARIES=/usr/share/tcarlib/tcarlib.sh
if [[ -x ${SCRIPT_LIBRARIES} ]];then
    . ${SCRIPT_LIBRARIES} ${@}
else
    echo "${SCRIPT_NAME}: `gettext "Cannot find the (tcarlib) shared functions."`"
    exit 1
fi

#======================================================================
# Initiate Module-specific Environment
#======================================================================
tcarlib_setModuleEnvironment -m "${SCRIPT_MODULE_NAME}" ${SCRIPT_MODULE_ARGUMENTS}

#======================================================================
# The End :-)
#======================================================================
# At this point everything has been done without errors. So, exit the
# script successfully.
exit 0
